import { TableSchema, SchemaDefinitions, IndexOptions, DynamicSchema as Schema } from "../DynamicSchema";
export declare class DynamicSchema extends Schema {
    constructor({ connection }: {
        connection: any;
    });
    createTable(schemaInput: TableSchema): Promise<DynamicSchema>;
    dropTable(): Promise<DynamicSchema>;
    renameTable(newSlug: string, newName?: string): Promise<DynamicSchema>;
    addIndex(options: IndexOptions): Promise<DynamicSchema>;
    removeIndex(columnName: string): Promise<DynamicSchema>;
    read(tableSlug: string): Promise<DynamicSchema>;
    define(def: SchemaDefinitions, required?: Array<string>): Promise<DynamicSchema>;
    renameColumn(name: string, newName: string): Promise<DynamicSchema>;
    _writeSchema(): Promise<DynamicSchema>;
    private _setCounter;
    _incrementCounter(collection: string, columnLabel: string): Promise<number>;
    _decrementCounter(collection: string, columnLabel: string): Promise<number>;
}
